summaryrefslogtreecommitdiffstats
path: root/source/a/tar
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/tar')
-rw-r--r--source/a/tar/tar-1.2x.support_txz.diff (renamed from source/a/tar/tar-1.23-support_txz.diff)0
-rw-r--r--source/a/tar/tar.13
-rwxr-xr-xsource/a/tar/tar.SlackBuild7
-rw-r--r--source/a/tar/tar.nolonezero.diff25
4 files changed, 19 insertions, 16 deletions
diff --git a/source/a/tar/tar-1.23-support_txz.diff b/source/a/tar/tar-1.2x.support_txz.diff
index efd720b55..efd720b55 100644
--- a/source/a/tar/tar-1.23-support_txz.diff
+++ b/source/a/tar/tar-1.2x.support_txz.diff
diff --git a/source/a/tar/tar.1 b/source/a/tar/tar.1
index 1d7e02faf..8fe4f8b5a 100644
--- a/source/a/tar/tar.1
+++ b/source/a/tar/tar.1
@@ -45,6 +45,9 @@ tar \- The GNU version of the tar archiving utility
.B -i, --ignore-zeros
]
[
+.B -J, --xz
+]
+[
.B -j, --bzip2
]
[
diff --git a/source/a/tar/tar.SlackBuild b/source/a/tar/tar.SlackBuild
index 21484f4cc..ea608f0b3 100755
--- a/source/a/tar/tar.SlackBuild
+++ b/source/a/tar/tar.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
# Slackware build script for tar
-VERSION=1.23
+VERSION=1.26
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
@@ -99,8 +99,9 @@ zcat $CWD/tar.norecordsizespam.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/tar.nolonezero.diff.gz | patch -p1 --verbose || exit 1
# Add support for *.txz files (our packages)
-zcat $CWD/tar-1.23-support_txz.diff.gz | patch -p1 --verbose || exit1
+zcat $CWD/tar-1.2x.support_txz.diff.gz | patch -p1 --verbose || exit 1
+FORCE_UNSAFE_CONFIGURE=1 \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
diff --git a/source/a/tar/tar.nolonezero.diff b/source/a/tar/tar.nolonezero.diff
index 0209c692a..e1316beb3 100644
--- a/source/a/tar/tar.nolonezero.diff
+++ b/source/a/tar/tar.nolonezero.diff
@@ -1,22 +1,21 @@
-diff -Nur tar-1.23.orig//src/list.c tar-1.23//src/list.c
---- tar-1.23.orig//src/list.c 2010-01-26 05:28:09.000000000 -0600
-+++ tar-1.23//src/list.c 2010-03-15 23:46:19.841670026 -0500
-@@ -138,6 +138,14 @@
+--- ./src/list.c.orig 2010-11-01 15:34:59.000000000 -0500
++++ ./src/list.c 2010-11-08 13:42:14.000000000 -0600
+@@ -212,6 +212,14 @@
if (!ignore_zeros_option)
{
+
-+ /*
-+ * According to POSIX tar specs, this is wrong, but on the web
-+ * there are some tar specs that can trigger this, and some tar
-+ * implementations create tars according to that spec. For now,
-+ * let's not be pedantic about issuing the warning.
-+ */
-+#if 0
++ /*
++ * According to POSIX tar specs, this is wrong, but on the web
++ * there are some tar specs that can trigger this, and some tar
++ * implementations create tars according to that spec. For now,
++ * let's not be pedantic about issuing the warning.
++ */
++#if 0
char buf[UINTMAX_STRSIZE_BOUND];
- status = read_header (&current_header, &current_stat_info,
-@@ -147,6 +155,7 @@
+ status = read_header (&current_header, &current_stat_info,
+@@ -221,6 +229,7 @@
WARNOPT (WARN_ALONE_ZERO_BLOCK,
(0, 0, _("A lone zero block at %s"),
STRINGIFY_BIGINT (current_block_ordinal (), buf)));